/*
* based on:
* https://gitlab.com/zlax/dtime-js
*/

function az(x) {
    if (x < 10)
        return "0"+x;
    return x;
}

function dtime(gregorianDate,resultar="default") {
    // Easter Island Winter Time Zone offset (-5*60*60*1000)
    var date = new Date(gregorianDate.getTime()-18000000);
    var christianMSDay = date.valueOf() % 86400000;
    var ds = (1 / (864 / christianMSDay));
    var h = Math.floor(ds/10000);
    ds%= 10000;
    var m = Math.floor(ds/100);
    ds%= 100;
    var s = Math.floor(ds);
    
    switch (resultar) {
        case "seconds":
            return h+":"+az(m)+":"+az(s);
            break;
        default:
            return h+":"+az(m);
            break;
    }
}

function go() {
    document.getElementById("dtime").innerHTML = dtime(new Date(), "seconds");
}

window.onload = function() {
    go();
    // 1 discordian decimal second = 864 christian milliseconds
    setInterval(go, 864);
}
